using UnityEngine;
using System.Collections;

public class GuiScript : MonoBehaviour {
	
	public GUIStyle countStyle;
	public GUIStyle timeStyle;
	public Texture crosshairTexture;
	
	private int hour = 1;
	private int time = 0;
	
	void OnEnable() {
		Messenger.AddListener("round", nextRound);
		Messenger.AddListener("start countdown", countDown);
	}
	
	void OnDestroy() {
    	Messenger.RemoveListener("round", nextRound);
		Messenger.RemoveListener("start countdown", countDown);
    }
	
	// Use this for initialization
	void Start () {
		Messenger.Broadcast("start countdown");
	}
	
	// Update is called once per frame
	void Update () {
		Screen.lockCursor = true;
		
		if(time <= 0){
			time = 10;
			CancelInvoke("tick");
			Messenger.Broadcast("round");
		}
	}
	
	void OnGUI() {
		GUI.DrawTexture(new Rect(Screen.width / 2 - (crosshairTexture.width / 2), Screen.height / 2 - (crosshairTexture.height / 2), crosshairTexture.width, crosshairTexture.height), crosshairTexture);
		GUI.Label(new Rect(10, 10, Screen.width - 20, 150), "Round " + hour, countStyle);
		GUI.Label(new Rect(10, 10, Screen.width - 20, 150), "Time " + time, timeStyle);
	}
	
	private void nextRound(){
		hour++;
	}
	
	private void tick(){
		time--;
	}
	
	private void countDown(){
		time = 10;
		InvokeRepeating("tick", 1, 1);
	}
}
