using UnityEngine;
using System.Collections;

public class IntroScript : MonoBehaviour {

	public GUIStyle gStyle;
	public GUIStyle fStyle;
	public Texture boxBackground;
	public Texture texFury;
	public Texture texStag;
	public Texture texCherub;
	
	private string[] messages = new string[9];
	private int currentMessage = -1;
	
	// Use this for initialization
	void Start () {
		messages[0] = "The Lamb: \n\"Welcome, Inquisitor. I have summoned you from the hovels to watch over my children during the cycles of strife. One of them is a murderer and betrayer and must be rooted out.\"";
		messages[1] = "The Lamb: \n\"My creations are stubborn, however. Their loyalty is only revealed in death. During each cycle you have the option of pointing out a creature for execution, revealing their loyalty. Choose or not, at the end of the cycle, the culprit will kill another.\"";
		messages[2] = "The Lamb: \n\"My children come in three forms: The Furies are the strongest, followed by the Stags, and the Cherubim are weakest of all. The culprit is a coward and will always kill the weakest it can find.\"";
		messages[3] = "The Lamb: \n\"If it finds itself amongst the weakest in the group, it will panic and kill the strongest it can find instead... As you can imagine, my cherubim are quick to panic.\"";
		messages[4] = "The Lamb: \n\"You will have to wait, let my little traitor kill as many of its siblings as it takes for you to be sure. But take too long and there will be no one left to save...\"";
		messages[5] = "The Furies";
		messages[6] = "The Stags";
		messages[7] = "The Cherubim";
		messages[8] = "The Lamb: \n\"The first cycle begins now.\"";
	}
	
	// Update is called once per frame
	void Update () {
		if(transform.position.x < 33){
			transform.position = new Vector3(transform.position.x + Time.deltaTime*7, transform.position.y, transform.position.z);
		} else {
			if(Input.GetButtonUp("E") || Input.GetButtonUp("Jump")){
				currentMessage++;
			}
			if(currentMessage >= messages.Length){
				Application.LoadLevel("main");
			}
		}
		
	}
	
	void OnGUI() {
		gStyle.fontSize = Screen.width/26;
		fStyle.fontSize = Screen.width/20;
		
		if(currentMessage > -1){
			GUI.DrawTexture(new Rect(0, 0, Screen.width, Screen.height), boxBackground, ScaleMode.ScaleToFit);
		}
		
		switch (currentMessage){
			case 0:
			case 1:
			case 2:
			case 3:
			case 4:
			case 8:
				GUI.Label(new Rect(Screen.width * 0.2f, Screen.height / 4 , Screen.width * 0.7f, Screen.height * 0.6f), messages[currentMessage], gStyle);
				break;
			case 5:
				Graphics.DrawTexture(new Rect(Screen.width * 0.65f, Screen.height * 0.12f, Screen.width / 4, Screen.height * 0.75f), texFury);
				GUI.Label(new Rect(Screen.width * 0.2f, Screen.height / 4 , Screen.width * 0.45f, Screen.height / 2), messages[5], fStyle);
				break;
			case 6:
				Graphics.DrawTexture(new Rect(Screen.width * 0.65f, Screen.height * 0.12f, Screen.width / 4, Screen.height * 0.75f), texStag);
				GUI.Label(new Rect(Screen.width * 0.2f, Screen.height / 4 , Screen.width * 0.45f, Screen.height / 2), messages[6], fStyle);
				break;
			case 7:
				Graphics.DrawTexture(new Rect(Screen.width * 0.65f, Screen.height * 0.12f, Screen.width / 4, Screen.height * 0.75f), texCherub);
				GUI.Label(new Rect(Screen.width * 0.2f, Screen.height / 4 , Screen.width * 0.45f, Screen.height / 2), messages[7], fStyle);
				break;
		}
	}
}
