using UnityEngine;
using System.Collections;

public class MenuScript : MonoBehaviour {
	
	public GUIStyle quoteStyle;
	public GUIStyle menuStyle;
	public Texture titleTexture;
	public Texture backgroundTexture;
	
	bool quoteTime = false;
	
	string quote = "\"The great are often reproached with having failed to do much good they could have done. They might reply: just think of the evil we could have done and did not do.\"\n\nG. C. Lichtenberg\nNotebook L, 1796-1799";
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetButtonUp("E") || Input.GetButtonUp("Jump")){
			if(!quoteTime){
				quoteTime = true;
			}
			else{
				Application.LoadLevel("intro");
			}
		}
	}
	
	void OnGUI() {
		quoteStyle.fontSize = Screen.width/40;
		menuStyle.fontSize = Screen.width/42;
		if(quoteTime){
			GUI.DrawTexture(new Rect(0, 0, Screen.width, Screen.height), backgroundTexture);
			GUI.Label(new Rect(Screen.width/4, 0, Screen.width/2, Screen.height), quote, quoteStyle);
		} else {
			GUI.DrawTexture(new Rect(0, 0, Screen.width, Screen.height), titleTexture);
		}
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), "- press space to continue -", menuStyle);
	}
}
